package tcra.exercises;

import java.util.*;
import tcra.math.*;
import tcra.exercises.queue_reasoning_private.*;

public class QueueReasoningExercise extends TCRAExercise
{
   public QueueReasoningExercise()
   {
      super("public interface Queue");
      contracts     = new Vector<MethodContract>();
      contracts.add(new QueueLengthContract());
      contracts.add(new QueueClearContract());
      contracts.add(new QueueEnqueueContract());
      contracts.add(new QueueDequeueContract());
      contracts.add(new QueueFrontContract());
   } // end ctor

   public MathModel getMathRep() { return new MathStringModel(); }
} // end class
